"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.capitalizeFirstChar = exports.kebabToCamel = exports.upperFirstLetter = exports.camelToKebab = exports.snakeToCamel = exports.isString = void 0;
function isString(value) {
    return typeof value === 'string' || value instanceof String;
}
exports.isString = isString;
function snakeToCamel(str) {
    if (!str.match(/[\s_-]/g)) {
        return str;
    }
    return str.replace(/([-_][a-z])/g, (group) => group.toUpperCase().replace('-', '').replace('_', ''));
}
exports.snakeToCamel = snakeToCamel;
function camelToKebab(string) {
    return string
        .replace(/((?<=[a-z\d])[A-Z]|(?<=[A-Z\d])[A-Z](?=[a-z]))/g, '-$1')
        .toLowerCase();
}
exports.camelToKebab = camelToKebab;
function upperFirstLetter(string) {
    return (string.charAt(0).toUpperCase() + string.slice(1));
}
exports.upperFirstLetter = upperFirstLetter;
function kebabToCamel(str) {
    return str
        .split('-')
        .map((i) => i.charAt(0).toUpperCase() + i.substring(1))
        .join('');
}
exports.kebabToCamel = kebabToCamel;
function capitalizeFirstChar(str) {
    return str
        .split('-')
        .map((i) => i.charAt(0).toUpperCase() + i.substring(1))
        .join('');
}
exports.capitalizeFirstChar = capitalizeFirstChar;
//# sourceMappingURL=string-utils.js.map