"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.zodAttributesSchema = void 0;
const zod_1 = require("zod");
const orm_1 = require("../../orm");
const utils_1 = require("../../utils");
const zod_utils_1 = require("../zod-utils");
const zodAttributesSchema = (fieldWithType) => {
    const shape = utils_1.ObjectTyped.entries(fieldWithType).reduce((acum, [props, type]) => {
        let zodShema;
        switch (type) {
            case orm_1.TypeField.array:
                zodShema = zod_1.z.string().array().optional();
                break;
            case orm_1.TypeField.date:
                zodShema = zod_1.z.coerce.date().optional();
                break;
            case orm_1.TypeField.number:
                zodShema = zod_1.z.number().optional();
                break;
            case orm_1.TypeField.boolean:
                zodShema = zod_1.z.boolean().optional();
                break;
            case orm_1.TypeField.string:
                zodShema = zod_1.z.string().optional();
                break;
        }
        return {
            ...acum,
            [props]: zodShema,
        };
    }, {});
    return zod_1.z.object(shape).strict().refine(zod_utils_1.nonEmptyObject);
};
exports.zodAttributesSchema = zodAttributesSchema;
//# sourceMappingURL=attributes.js.map