"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseRelationshipNamePipeMixin = exports.patchRelationshipPipeMixin = exports.postRelationshipPipeMixin = exports.patchInputPipeMixin = exports.postInputPipeMixin = exports.checkItemEntityPipeMixin = exports.idPipeMixin = exports.queryCheckSelectFieldMixin = exports.queryFiledInIncludeMixin = exports.queryMixin = exports.queryInputMixin = void 0;
const common_1 = require("@nestjs/common");
const query_1 = require("./query");
const query_input_1 = require("./query-input");
const query_filed_on_include_1 = require("./query-filed-on-include");
const query_check_select_field_1 = require("./query-check-select-field");
const helper_1 = require("../../helper");
const check_item_entity_1 = require("./check-item-entity");
const post_input_1 = require("./post-input");
const patch_input_1 = require("./patch-input");
const post_relationship_1 = require("./post-relationship");
const parse_relationship_name_1 = require("./parse-relationship-name");
const patch_relationship_1 = require("./patch-relationship");
function factoryMixin(entity, connectionName, pipe) {
    const entityName = entity instanceof Function ? entity.name : entity['options'].name;
    const pipeClass = (0, helper_1.nameIt)(`${entityName.charAt(0).toUpperCase() + entityName.slice(1)}${pipe.name}`, pipe);
    (0, common_1.Injectable)()(pipeClass);
    return pipeClass;
}
function queryInputMixin(entity, connectionName) {
    return factoryMixin(entity, connectionName, query_input_1.QueryInputPipe);
}
exports.queryInputMixin = queryInputMixin;
function queryMixin(entity, connectionName) {
    return factoryMixin(entity, connectionName, query_1.QueryPipe);
}
exports.queryMixin = queryMixin;
function queryFiledInIncludeMixin(entity, connectionName) {
    return factoryMixin(entity, connectionName, query_filed_on_include_1.QueryFiledInIncludePipe);
}
exports.queryFiledInIncludeMixin = queryFiledInIncludeMixin;
function queryCheckSelectFieldMixin(entity, connectionName) {
    return factoryMixin(entity, connectionName, query_check_select_field_1.QueryCheckSelectField);
}
exports.queryCheckSelectFieldMixin = queryCheckSelectFieldMixin;
function idPipeMixin(entity, connectionName, config) {
    return config && config.pipeForId ? config.pipeForId : common_1.ParseIntPipe;
}
exports.idPipeMixin = idPipeMixin;
function checkItemEntityPipeMixin(entity, connectionName) {
    return factoryMixin(entity, connectionName, check_item_entity_1.CheckItemEntityPipe);
}
exports.checkItemEntityPipeMixin = checkItemEntityPipeMixin;
function postInputPipeMixin(entity, connectionName) {
    return factoryMixin(entity, connectionName, post_input_1.PostInputPipe);
}
exports.postInputPipeMixin = postInputPipeMixin;
function patchInputPipeMixin(entity, connectionName) {
    return factoryMixin(entity, connectionName, patch_input_1.PatchInputPipe);
}
exports.patchInputPipeMixin = patchInputPipeMixin;
function postRelationshipPipeMixin(entity, connectionName) {
    return factoryMixin(entity, connectionName, post_relationship_1.PostRelationshipPipe);
}
exports.postRelationshipPipeMixin = postRelationshipPipeMixin;
function patchRelationshipPipeMixin(entity, connectionName) {
    return factoryMixin(entity, connectionName, patch_relationship_1.PatchRelationshipPipe);
}
exports.patchRelationshipPipeMixin = patchRelationshipPipeMixin;
function parseRelationshipNamePipeMixin(entity, connectionName) {
    return factoryMixin(entity, connectionName, parse_relationship_name_1.ParseRelationshipNamePipe);
}
exports.parseRelationshipNamePipeMixin = parseRelationshipNamePipeMixin;
//# sourceMappingURL=index.js.map