"use strict";
var AtomicOperationModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.AtomicOperationModule = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const core_1 = require("@nestjs/core");
const controllers_1 = require("./controllers");
const service_1 = require("./service");
const factory_1 = require("./factory");
let AtomicOperationModule = AtomicOperationModule_1 = class AtomicOperationModule {
    static forRoot(options, entityModules, commonModule) {
        return {
            module: AtomicOperationModule_1,
            controllers: [controllers_1.OperationController],
            providers: [
                service_1.ExplorerService,
                service_1.ExecuteService,
                service_1.SwaggerService,
                factory_1.AsyncIterate,
                (0, factory_1.MapControllerEntity)(options.entities, entityModules),
                (0, factory_1.MapEntityNameToEntity)(options.entities),
                (0, factory_1.ZodInputOperation)(options.connectionName),
            ],
            imports: [core_1.DiscoveryModule, commonModule],
        };
    }
};
exports.AtomicOperationModule = AtomicOperationModule;
exports.AtomicOperationModule = AtomicOperationModule = AtomicOperationModule_1 = tslib_1.__decorate([
    (0, common_1.Module)({})
], AtomicOperationModule);
//# sourceMappingURL=atomic-operation.module.js.map